# MatSetOptionsPrefix

Sets the prefix used for searching for all Mat options in the database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatSetOptionsPrefix(Mat A,const char prefix[])

Collective on Mat

### Input Parameter

| A | - the Mat context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

Mat, set, options, prefix, database

### See Also

MatSetFromOptions()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages